package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-02-13
 */
@RestController
@RequestMapping("/envDevice")
public class EnvDeviceController {
    @Autowired
    private IEnvDeviceService envDeviceService;

    @RequestMapping("/DeviceCount")
    public Result getDevice(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return envDeviceService.count(httpServletRequest,paramsMap);
    }

    @RequestMapping("/DeviceList")
    public Result getDeviceList(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return envDeviceService.list(httpServletRequest,paramsMap);
    }

    @RequestMapping("/DeviceAdd")
    public Result getDeviceAdd(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return envDeviceService.add(httpServletRequest,paramsMap);
    }

    @RequestMapping("/DeviceEdit")
    public Result getDeviceEdit(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return envDeviceService.edit(httpServletRequest,paramsMap);
    }

    @RequestMapping("/DeviceDelete")
    public Result getDeviceDelete(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap) {
        return envDeviceService.delete(httpServletRequest,paramsMap);
    }

}
